=== debian/changelog ===
libffado (2.1.0+svn2456-1) unstable; urgency=low

  * Set architecture to linux-any (Closes: #727247)
  * Bump standards version
  * Replace python-support with dh-python
  * Imported Upstream version 2.1.0+svn2456

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 02 Nov 2013 00:27:19 +0100
