## libffado 2.2.1

=== SConstruct ===
--- 
+++ 
@@ -1,4 +1,3 @@
-#! /usr/bin/python
 # -*- coding: utf-8 -*-
 #
 # Copyright (C) 2007, 2008, 2010 Arnold Krille
@@ -25,7 +24,7 @@
 #
 
 FFADO_API_VERSION = "9"
-FFADO_VERSION="2.1.9999"
+FFADO_VERSION="2.2.1"
 
 from subprocess import Popen, PIPE
 import os
@@ -41,9 +40,10 @@
 
 opts.AddVariables(
     BoolVariable( "DEBUG", """\
-Toggle debug-build. DEBUG means \"-g -Wall\" and more, otherwise we will use
-  \"-O2\" to optimize.""", True ),
-    BoolVariable( "PROFILE", "Build with symbols and other profiling info", False ),
+Build with \"-g -Wall\" rather than \"-O2\", and include extra debugging
+checks in the code.""", True ),
+    BoolVariable( "DEBUG_MESSAGES", "Enable support for debug messages", True ),
+    BoolVariable( "PROFILE", "Build with symbols, warnings and other profiling info", False ),
     PathVariable( "PREFIX", "The prefix where ffado will be installed to.", "/usr/local", PathVariable.PathAccept ),
     PathVariable( "BINDIR", "Overwrite the directory where apps are installed to.", "$PREFIX/bin", PathVariable.PathAccept ),
     PathVariable( "LIBDIR", "Overwrite the directory where libs are installed to.", "$PREFIX/lib", PathVariable.PathAccept ),
@@ -121,7 +121,7 @@
 
 def ConfigGuess( context ):
     context.Message( "Trying to find the system triple: " )
-    ret = os.popen( "admin/config.guess" ).read()[:-1]
+    ret = os.popen( "/bin/sh admin/config.guess" ).read()[:-1]
     context.Result( ret )
     return ret
 
@@ -256,7 +256,7 @@
         # means users don't have to have jack development files present on
         # their system for this to work.
         have_jack = (jackd_ver >= VersionInt('0.0.0'))
-        good_jack1 = (jackd_ver < VersionInt('1.9.0')) and (jackd_ver >= VersionInt('0.122.0'))
+        good_jack1 = (jackd_ver < VersionInt('1.9.0')) and (jackd_ver >= VersionInt('0.121.4'))
         good_jack2 = (jackd_ver >= VersionInt('1.9.9'))
     else:
         # Jackd is not runnable.  Attempt to identify a version from
@@ -277,6 +277,3 @@
 Installed Jack Audio Connection Kit (JACK) jack does not support FFADO 
 setbuffersize API: will report earlier API version at runtime.  Consider 
 upgrading to jack1 >=0.122.0 or jack2 >=1.9.9 at some point, and then 
-recompile ffado to gain access to this added feature.
-"""
-        else:
