=== debian/changelog ===
libffado (2.2.1-3) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Add watch file.
  * Declare compliance with Standards-Version 3.9.6.
  * Fix add trailing / to Homepage URL.
  * Update Vcs-Browser field to use new canonical https-based cgit URL.
  * Update Vcs-Git to skip optional /git from path.
  * Modernize CDBS usage: Stop suppress optional build-dependencies: All
    satisfied even in oldstable nowadays.
    Build-depend on devscripts.

  [ David Matthew Mattli ]
  * Fix FTBFS due to re-definition of errno in tests. (Closes: #805211)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Dec 2015 00:54:26 +0000

libffado (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/cpuinfo-parsing.patch: Fix /proc/cpuinfo parsing. Thanks to
    Plamen Aleksandrov. (Closes: #751228)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Jul 2014 18:38:48 +0200

libffado (2.2.1-1) unstable; urgency=low

  * Imported Upstream version 2.2.1
  * Bump standards version

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 02 Jun 2014 13:17:09 +0000
