=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  autotools-dev,
  debhelper,
  dh-buildinfo,
+ devscripts,
  dbus (>= 1.0.0),
  libconfig++-dev,
  libdbus-1-dev,
@@ -28,11 +29,11 @@
  python-qt4-dbus,
  dh-python,
  scons
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Section: libs
-Homepage: http://www.ffado.org
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/ffado.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ffado.git
+Homepage: http://www.ffado.org/
+Vcs-Git: git://git.debian.org/pkg-multimedia/ffado.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/ffado.git
 
 Package: libffado-dev
 Section: libdevel
