=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://www.ffado.org/ files/libffado-(\d[\d+\.]+)\.tgz
