=== debian/changelog ===
libffado (2.3.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glibc 2.26,
    thanks to Juhani Numminen. (Closes: #887781)

 -- Adrian Bunk <bunk@debian.org>  Tue, 06 Feb 2018 21:14:14 +0200

libffado (2.3.0-5) unstable; urgency=medium

  * Team upload.
  * debian/rules: drop code specifying DIST_TARGET to the build system.
    Disabling all automation seems to let the compiler do the right thing
    better than this stuff.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 12 Nov 2017 11:55:33 +0100

libffado (2.3.0-4) unstable; urgency=medium

  * Team upload.
  * debian/rules: set DETECT_USERSPACE_ENV=0 to avoid having the build system
    unhelpfully pass -m flags to gcc.
    It breaks builds in mismatched userspace/kernel setups (i.e. i386 chroot
    with amd64 kernel) and with architectures that the poor recognizing
    script fail with (i.e. ppc64).

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 11 Nov 2017 15:28:49 +0100

libffado (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * Add patches to fix the build with GCC 7.  Closes: #853491
  * debian/rules:
    + Really make this package reproducible.  Closes: #828060
    + Fixup some host/build architecture confusion.
  * Bump debhelper compat level to 10
  * Multiarchify the library installation:
    * Move all library files to a triplet-defined directory /usr/lib/<trplet>/.
    * Change ffado-debug to load from that directory.
  * debian/control:
    + Use canonical URL in Vcs-* fields.
    + Drop dh-buildinfo build-dep.
    + Drop unused build-dep autotools-dev and devscripts.
    + Mark libffado-dev and libffado2 as multi-arch:same.
  * Move the ffado-debug binary from libffado2 to the ffado-tools package.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 11 Nov 2017 01:12:03 +0100

libffado (2.3.0-2) unstable; urgency=medium

  * Make FFADO builds reproducible (Closes: #828060)
  * Fix FTBFS on PowerPCspe (Closes: #772937)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Fri, 12 Aug 2016 10:47:17 +0200

libffado (2.3.0-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Add watch file.
  * Declare compliance with Standards-Version 3.9.6.
  * Fix add trailing / to Homepage URL.
  * Update Vcs-Browser field to use new canonical https-based cgit URL.
  * Update Vcs-Git to skip optional /git from path.
  * Modernize CDBS usage: Stop suppress optional build-dependencies: All
    satisfied even in oldstable nowadays.
    Build-depend on devscripts.

  [ Alessio Treglia ]
  * Fix FTBFS on x32.
    Thanks to Thorsten Glaser for the patch (Closes: #778777)

  [ Adrian Knoth ]
  * Imported Upstream version 2.3.0 (Closes: #833949)
  * Add gcc6.patch

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 11 Aug 2016 16:03:34 +0200
