=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Uploaders:
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Free Ekanayaka <freee@debian.org>,
- Jonas Smedegaard <dr@jones.dk>
+ Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  cdbs,
- autotools-dev,
- debhelper,
- dh-buildinfo,
- devscripts,
  dbus (>= 1.0.0),
+ debhelper (>= 10),
+ dh-exec,
+ dh-python,
  libconfig++-dev,
  libdbus-1-dev,
+ libdbus-c++-bin,
  libdbus-c++-dev,
- libdbus-c++-bin,
  libexpat1-dev,
  libiec61883-dev (>= 1.1.0),
  libraw1394-dev (>= 1.3.0),
@@ -27,22 +26,22 @@
  python-dbus,
  python-qt4,
  python-qt4-dbus,
- dh-python,
- scons
-Standards-Version: 3.9.6
+ scons,
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.ffado.org/
-Vcs-Git: git://git.debian.org/pkg-multimedia/ffado.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/ffado.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/ffado.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/ffado.git
 
 Package: libffado-dev
 Section: libdevel
 Architecture: linux-any
+Multi-Arch: same
 Depends:
  libffado2 (= ${binary:Version}),
  libxml2-dev,
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: FFADO API - development files
  FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
  .
@@ -53,9 +52,10 @@
 
 Package: libffado2
 Architecture: linux-any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: FFADO API
  FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
  .
@@ -72,13 +72,15 @@
  libffado2 (= ${binary:Version}),
  python,
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Replaces:
- ffado-mixer-qt4 (<< 2.0.1+svn1856-2~)
+ ffado-mixer-qt4 (<< 2.0.1+svn1856-2~),
+ libffado2 (<< 2.3.0-3),
 Breaks:
  ffado-mixer-qt4 (<< 2.0.1+svn1856-2~),
  jackd1-firewire (<< 1:0.121.3+20120418git75e3e20b-1),
- jackd2-firewire (<< 1.9.8~dfsg.3+20120418gitf82ec715-1)
+ jackd2-firewire (<< 1.9.8~dfsg.3+20120418gitf82ec715-1),
+ libffado2 (<< 2.3.0-3),
 Description: FFADO debugging and firmware tools
  FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
  .
@@ -94,6 +96,7 @@
      * ffado-bridgeco-downloader
      * ffado-test
      * ffado-fireworks-downloader
+     * ffado-debug
 
 Package: ffado-dbus-server
 Section: sound
@@ -102,7 +105,7 @@
  dbus (>= 1.0.0),
  libffado2 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: FFADO D-Bus server
  FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
  .
@@ -124,7 +127,7 @@
  python-qt4-dbus,
  ${misc:Depends},
  ${python:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: FFADO D-Bus mixer applets (QT4)
  FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
  .
