=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 # of the GNU General Public License, incorporated herein by reference.
 #
 
+include /usr/share/dpkg/architecture.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
@@ -26,20 +27,13 @@
   NJOBS += -j$(NUMJOBS)
 endif
 
-ifneq (,$(findstring power,$(DEB_BUILD_ARCH)))
-EXPLICIT_TARGET = DIST_TARGET=powerpc
-else ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
-EXPLICIT_TARGET = DIST_TARGET=i386
-else
-EXPLICIT_TARGET =
-endif
-
 DEB_SCONS_EXTRA_FLAGS := \
 	PREFIX=/usr \
+	LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	SHAREDIR=/usr/share/libffado2/ \
 	PYPKGDIR=/usr/share/ffado-mixer-qt4/ \
 	WILL_DEAL_WITH_XDG_MYSELF=1 \
-	$(EXPLICIT_TARGET) \
+	DETECT_USERSPACE_ENV=0 \
 	$(NJOBS)
 
 
@@ -84,4 +78,6 @@
 	dh_python2 -pffado-mixer-qt4
 
 binary-install/ffado-tools::
+	sed -i 's/@@MULTIARCH@@/$(DEB_HOST_MULTIARCH)/' debian/ffado-tools/usr/bin/ffado-debug
+	find debian/ffado-tools -type f -name "static_info.txt" -delete
 	dh_python2 -pffado-tools
